Subject: bug#10642: xt-mouse: Support extended coordinates

From: Egmont Koblinger <[email-masked]>
Date: Mon, 6 Aug 2012 22:38:27 +0200

Thanks very much, Chong!

Just for the record, I've implemented the 1006 support to Gnome-Terminal
and Konsole; I hope they will accept my patches and this 1006 extension
will become quite mainstream across terminal emulators.

https://bugzilla.gnome.org/show_bug.cgi?id=681329
https://bugs.kde.org/show_bug.cgi?id=304686

thanks,
egmont

On Sat, Jul 14, 2012 at 5:46 PM, Chong Yidong <[email-masked]> wrote:

> Egmont Koblinger <[email-masked]> writes:
>
> > When running in terminal, Emacs only supports mouse clicks up to
> > column or row 223, due to a limitation in the original mouse protocol.
> > However, there is an extension (well, unfortunately, there are a
> > couple of extensions) to overcome this limit.
> >
> > This request is hereby for emacs to implement one of them, so that
> > mouse click works on arbitrary coordinates.
>
> Thanks; the detailed information in your report was very useful.  I've
> implemented the 1006 protocol handling, and committed it to trunk.
>
> The code assumes that if the terminal does not support 1006 mode,
> sending the \e[?1006h sequence is a no-op, and mouse click events are
> received using the old protocol.  We look for both \e[M and \e[< events
> and handle them.  This seems to work on XTerms supporting 1006 mode
> (tested with xterm-281) as well as older ttys (tested with xterm-271 and
> xfce4-terminal 0.4.8).
>